<div class="common_content_nav">您所在位置 > <a href="#">系统管理</a></div>
<div id="title" class="common_content_title"></div>
<div class="tabPanel">
    <div>
        <form id="save_form">
            <div class="row">
                <div id="role_name" class="col-xs-2 msg">角色名称</div>
                <div class="col-xs-3">
                    <input type="hidden" class="form-control" id="roleId" name="roleId" >
                    <input type="text" class="form-control" id="roleName" name="roleName" data-options="required:false,length:'50'">
                </div>
            </div>

            <div class="row">
            <div id="dataAuthority" class="col-xs-2 msg">数据权限</div>
                <table id="shujuquanxian" class="easyui-datagrid" style="width:100%;height:100px" data-options="rownumbers: true">
                    <thead>
                        <tr>
                            <th data-options="field:'dataTypeName',width:195,align:'center',halign:'center'">类数据</th>
                            <th data-options="field:'configFields',width:600,align:'left',halign:'center',formatter:showColumeItem">字段权限</th>
                        </tr>
                    </thead>
                </table>
            </div>


            <div class="row">
            <div class="col-xs-2 msg">功能权限</div><div><input style="margin-top: 6px;" type="checkBox" id="selectAll"/>全选</div>
                <table id="huiyuandingdanTable" class="easyui-treegrid" style="width:100%;height:400px" data-options="
                            iconCls: 'icon-ok',
                            rownumbers: true,
                            animate: true,
                            collapsible: true,
                            fitColumns: false,
                            idField: 'functionId',
                            treeField: 'functionName'">
                    <thead>
                        <tr>
                            <th data-options="field:'functionName',width:160,halign:'center'">菜单栏目</th>
                            <th data-options="field:'isChooseFunction',width:90,halign:'center',align:'center',formatter:showChooseFunction">菜单选择</th>
                            <th data-options="field:'operationItemIds',width:10,halign:'center',hidden:true"></th>
                            <th data-options="field:'sysFunctionOperationIds',width:10,halign:'center',hidden:true"></th>
                            <th data-options="field:'checkedSysFunctionOperationIds',width:10,halign:'center',hidden:true"></th>
                            <th data-options="field:'functionId',width:750,align:'left',formatter:showOperationItem,editor:'numberbox'">权限</th>
                        </tr>
                    </thead>
                </table>
            </div>
            <div class="row">
                <div class="col-xs-2 msg">air助手权限</div><div><input style="margin-top: 6px;" type="checkBox" id="selectAirAll"/>全选</div>
                <table id="airTable" class="easyui-treegrid" style="width:100%;height:180px" data-options="
                            iconCls: 'icon-ok',
                            rownumbers: true,
                            animate: true,
                            collapsible: true,
                            fitColumns: false,
                            idField: 'functionId',
                            singleSelect:false,
                            treeField: 'functionName'">
                    <thead>
                    <tr>
                        <th data-options="field:'functionName',width:160,halign:'center'">菜单栏目</th>
                        <th data-options="field:'isChooseFunction',width:90,halign:'center',align:'center',formatter:showAirChooseFunction">菜单选择</th>
                        <th data-options="field:'operationItemIds',width:10,halign:'center',hidden:true"></th>
                        <th data-options="field:'sysFunctionOperationIds',width:10,halign:'center',hidden:true"></th>
                        <th data-options="field:'checkedSysFunctionOperationIds',width:10,halign:'center',hidden:true"></th>
                        <th data-options="field:'functionId',width:750,align:'left',formatter:showAirOperationItem,editor:'numberbox'">权限</th>
                    </tr>
                    </thead>
                </table>
            </div>
            <button id="save_btn" type="button" class="btn btn-success choose_btn">保存</button>
            <button id="back_btn" type="button" class="btn choose_btn back">返回</button>
        </form>
    </div>
</div>

<script type="text/javascript">
    $(function() {
        require(['view/sys/ruleAdd'], function(ruleAdd) {
            ruleAdd.init();
        });
    });

    function showColumeItem(value,column){
        var html="";
        if(column.configFields.length>0){
            // 加载功能按钮
            for(var i=0;i<column.configFields.length;i++){
                html+="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input  type=\"checkbox\"  value=\""+column.configFields[i]+"|"+column.dataTypeId+"\" name=\"Colcheckbox\" >"+(column.configFields[i] == "mobile" ? "手机号":column.configFields[i]);
            }
            var s='<div>'+html+'</div>';
            return s;
        }else{
            return "";
        }
    }

    function showChooseFunction(value,column){
        var html='';
        if(column.functionId == 100 || column.functionId == 101){
            html+="<input  type=\"checkbox\" checked disabled value=\""+column.functionId+"|"+column.functionId+"\" name=\"OIcheckbox\" >";
        }else{
            html+="<input  type=\"checkbox\"  value=\""+column.functionId+"|"+column.functionId+"\" name=\"OIcheckbox\" >";
        }
        var s='<div>'+html+'</div>';
        return s;
    }

    function showAirChooseFunction(value,column){
        var html='';
        var addhtml="";
        if(column.isCheck=='Y'){
            addhtml="checked=\"checked\"";
        }
        if(column.functionId == 100 || column.functionId == 101){
            html+="<input  type=\"checkbox\" disabled value=\""+column.functionId+"|"+column.functionId+"\" name=\"AIRcheckbox\" "+addhtml+" >";
        }else{
            html+="<input  type=\"checkbox\"  value=\""+column.functionId+"|"+column.functionId+"\" name=\"AIRcheckbox\" "+addhtml+" >";
        }
        /* } */
        var s='<div>'+html+'</div>';
        return s;
    }

    function showOperationItem(value,column){
        var html="";
        if(column.buttonList.length>0){
            // 加载功能按钮
            for(var i=0;i<column.buttonList.length;i++){
                html+="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input  type=\"checkbox\"  value=\""+column.buttonList[i].functionOperationId+"|"+value+"\" name=\"OIcheckbox\" >"+ $.Function_Button.getText(column.buttonList[i].functionOperationId);
            }
            var s='<div>'+html+'</div>';
            return s;
        }else{
            return "";
        }
    }

    function showAirOperationItem(value,column){
        var html="";
        if(column.buttonList.length>0){
            // 加载功能按钮
            for(var i=0;i<column.buttonList.length;i++){
                var addhtml="";
                if(column.buttonList[i].isCheck=='Y'){
                    addhtml="checked=\"checked\"";
                }
                html+="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input  type=\"checkbox\"  value=\""+column.buttonList[i].functionOperationId+"|"+value+"\" name=\"AIRcheckbox\" "+addhtml+" >"+ $.Function_Button.getText(column.buttonList[i].functionOperationId);
            }
            var s='<div>'+html+'</div>';
            return s;
        }else{
            return "";
        }
    }
</script>
